<div  id="ajaxlogin-login-window" class="login-window account-login ajaxloginphtml">
<form action="<?php echo $block->getUrl('mobilelogin/index/ajaxlogin') ?>" data-mage-init='{"validation": {}}' method="post" id="mobile-login-form" class="scaffold-form">
    <?php echo $block->getBlockHtml('formkey'); ?>
    <div class="updatepasssuccess success" id="updatepasssuccess">
        <span ><?php echo __("Password has been Updated Successfully.");?></span>
    </div>
    <div class="sendemail success"  id="sendemail_success">
    </div>
    <div class="emailpasswrong error1" id="emailpasswrong_error1">
        <span></span>
    </div>
    <div class="content">
        <ul class="form-list" id="form-list">
            <li>
                <div class="input-box forgotmob-div" id="forgotmob-div">
                    <span  id="input-box-login"> <input type="tel"  name="login[username]" value="" id="mobile-login-email" placeholder="<?php echo __('Mobile Number *') ?>" class="mobnumber required-entry "> <span class="user-icon"></span> </span>
                    <input type="text" value="" id="countryreg" name="countryreg" style="display: none;"/>
                    <span id="forgot-mob-error-msg"></span>
                </div>
                <div class="notice" id="notice1"><!-- Mobile No. With Country Code i.e 919898989898 --></div>
            </li>
            <li>
                <div class="input-box">
                    <span id="input-box-password"> <input type="password" name="login[password]" placeholder="<?php echo __('Password') ?>" class="input-text required-entry validate-password" id="mobile-login-pass" title="<?php echo __('Password') ?>" /><span class="pass-icon"></span></span>
                </div>
            </li>
        </ul>
    </div>
    <div class="<?php if($block->getTemplateImage()){echo 'buttons-set-ultimate';}else{ echo 'buttons-set';} ?>">
        <div class="register">
            Don’t have an Account? <a class="createlinking" href="#" id="register"><?php echo __("Register");?></a>
        </div>
        <div class="forogotlink">
            <a class="forgotlinking" href="#"><?php echo __("Forgot Password ?");?></a>
        </div>
    </div>
    <div class="loginlink">
        <button type="button" class="mobbtn primary" title="<?php echo __('Login') ?>" name="send" id="loginsubmit"><span><span><?php echo __('Login') ?></span></span></button>
        <div class="progress-indicator"  id="progress-indicator">
            <span class="please-wait" id="login-please-wait">
                <img src="<?php echo $block->getViewFileUrl('Magecomp_Mobilelogin::images/ajax-loader.gif');?>" class="v-middle" alt=""/>
            </span>
        </div>
    </div>
</form>
</div>
<script>
    var afoinput = document.querySelector("#mobile-login-email"),
        forgoterrorMsg = document.querySelector("#forgot-mob-error-msg");

    // here, the index maps to the error code returned from getValidationError - see readme
    var forgoterrorMap = [ "Invalid number", "Invalid country code", "Too short", "Too long", "Invalid number"];

    // initialise plugin
    var afoiti = window.intlTelInput(afoinput, {
        utilsScript: "<?php echo $this->getViewFileUrl('Magecomp_Mobilelogin::js/utils.js'); ?>"
    });

    require(['jquery', 'jquery/ui','mage/mage','mage/validation'], function($){
        jQuery.get('https://ipinfo.io', function() {}, "jsonp").always(function(resp) {
            countryCode = (resp && resp.country) ? resp.country : "";
            afoiti.setCountry(countryCode);
        });
    });

    var reset = function() {
        afoinput.classList.remove("error");
        forgoterrorMsg.innerHTML = "";
    };

    // on blur: validate
    afoinput.addEventListener('blur', function() {
        reset();
        if (afoinput.value.trim()) {
            if (afoiti.isValidNumber()) {
                forgoterrorMsg.innerHTML = "";
            } else {
                var errorCode = afoiti.getValidationError();
                forgoterrorMsg.innerHTML = forgoterrorMap[errorCode];
            }
        }
    });
</script>